import { Component, OnInit, ViewChild, TemplateRef, ViewContainerRef, Input, SimpleChanges, Output, EventEmitter, ViewEncapsulation } from '@angular/core';
import { VisAsstResponseComponent } from '../vis_asst_response/vis_asst_response.component'
//import { VisAsstResponseConstructorOptions } from "../VisAsstResponseConstructorOptions"
import { VisAsstResponseUpdateOptions } from "../VisAsstResponseUpdateOptions";
//import { FlexmonsterPivot } from "../../datagrid/flexmonster/flexmonster.angular4";

@Component({
    selector: 'vis_asst_response_text',
    templateUrl: './vis_asst_response_text.component.html',
    styleUrls: ['./vis_asst_response_text.component.css']
  })

export class VisAsstResponseText extends VisAsstResponseComponent implements OnInit {
   
    context: any = {};
        
    override ngOnInit()
    {
      super.ngOnInit()
    }

    override ngAfterViewInit()
    {
        
    }

  showMessage( updateOptions: VisAsstResponseUpdateOptions) : any
  {
    console.log('Print text updateOptions 29:::::',updateOptions);
    this.context = updateOptions['context'];
    console.log('Print text context 31:::::',this.context);
  }

  ngOnChanges(change: SimpleChanges)
  {
    console.log('Print change 36:::::',change);
  }


}